Subject: [rtcweb] Unified plan IPR

From: Roman Shpount <[email-masked]>
Date: Tue, 23 Jul 2013 12:22:10 -0400

Changing the title and the mailing list to the more appropriate.

The situation would be a bit clearer if patent holders were to provide the
licensing policy regarding this IPR release. Given that Ericsson is
actively involved in this working group, I think it would be reasonable to
ask them for this.

Regards,
_____________
Roman Shpount

On Tue, Jul 23, 2013 at 11:51 AM, Adam Roach <[email-masked]> wrote:

>  On 7/23/13 09:20, tim panton wrote:
>
> On 23 Jul 2013, at 14:00, Stefan Håkansson LK <[email-masked]> <[email-masked]> wrote:
>
>
>  On 7/23/13 5:03 AM, Justin Uberti wrote:
>
>  With the compromise reached in the Unified Plan document,
>
>  Presumably http://www.ietf.org/id/draft-roach-mmusic-unified-plan-00.txt
>
>  I'll draw folks attention to this IPR claim
> https://datatracker.ietf.org/ipr/2141/
>
> What does that mean in practice?
>
>
>
> In practice, it has very little effect.
>
> For those of you unfamiliar with IETF IPR policy, it is documented in RFC
> 3979:
>
> http://www.ietf.org/rfc/rfc3979.txt
>
> The disclosure Tim points to is made pursuant to section 6.1.3 of that
> document. During the course of developing the unified plan, the
> applications that are mentioned in that disclosure were brought to my
> attention.
>
> The reason it has little effect in practice is that the independent claims
> would appear to cover every plan proposal to date (plan a, plan b, unified
> plan, and even all of the "no plan" variations). Consequently, it does not
> benefit any one approach over the others.
>
> /a
>

---

From: Adam Roach <[email-masked]>
Date: Tue, 23 Jul 2013 11:51:33 -0500

On 7/23/13 11:22, Roman Shpount wrote:
> The situation would be a bit clearer if patent holders were to provide 
> the licensing policy regarding this IPR release. Given that Ericsson 
> is actively involved in this working group, I think it would be 
> reasonable to ask them for this.

If process has been properly followed, the IPR holder has already been 
notified by the IETF executive director. See 
http://www.ietf.org/rfc/rfc4879.txt (section 1 paragraph 1)

I doubt agitating for action on these mailing lists is likely to produce 
useful results.

/a

---

From: "Matthew Kaufman (SKYPE)" <[email-masked]>
Date: Tue, 23 Jul 2013 20:18:39 +0000

Adam Roach:
>
> I doubt agitating for action on these mailing lists is likely to produce useful
> results.

This appears to be generally true, yes.

One wonders why we have them.

Matthew Kaufman

---

From: cowwoc <[email-masked]>
Date: Tue, 23 Jul 2013 17:58:03 -0400

On 23/07/2013 12:51 PM, Adam Roach wrote:
>> The situation would be a bit clearer if patent holders were to 
>> provide the licensing policy regarding this IPR release. Given that 
>> Ericsson is actively involved in this working group, I think it would 
>> be reasonable to ask them for this.
>
> I doubt agitating for action on these mailing lists is likely to 
> produce useful results.
>
> /a

Hi Adam,

     I'm a bit concerned about the optics of what just happened.

  * The Working Group has been pushing for the use of SDP since 2011
    (see http://www.ietf.org/mail-archive/web/rtcweb/current/mail15.html).
  * The first post related to the use of SDP in WebRTC came from
    Christer Holmberg of Ericsson on September 14th, 2011.
  * One of the Chairs of the Working Group and one of the Specification
    editors are from Ericsson.
  * There has been a substantial push against the use of SDP by some
    mailing list participants, but this was rejected by the Working Group.
  * Suddenly we find out that Ericsson has filed two patents related to
    the use of SDP in WebRTC and these were filed *after* Ericsson
    actively pushed for the use of SDP.

     Isn't there a conflict of interest here?

     As a Web Developer who doesn't want/need SDP to begin with, I am 
finding this a bitter pill to swallow. I have no problem with other 
people using SDP (all the power to them) but, with this IPR discovery, 
forcing their preference on me will have real-world consequences (no 
less than had we mandated the use H264 in WebRTC).

 1. Do the patents imply that Web Developers will have to pay patents
    when deploying application on top of the Browser or Native APIs?
 2. Is there a way to retrofit the API so those of us who do not
    want/need to use SDP are not forced to license this IPR? For
    example, the specification states that the initial offer/answer
    mechanism is out of scope. Could we do the same for SDP?

Thank you,
Gili

---

From: Ted Hardie <[email-masked]>
Date: Tue, 23 Jul 2013 15:08:33 -0700

Hi Gili,

I've snipped some of this, but I want to note that it is not really
possible for Adam to clarify this at the moment; like the rest of us, he
will have to wait for the folks who filed the patent to clarify the
situation.   He is listed in the IPR declaration only because he brought
the patent to the attention of the IETF, not because he is an inventor or
assignee.

The IETF patent process has already pointed out (in RFC 4879); please check
it for the next steps.

thanks,

Ted Hardie

On Tue, Jul 23, 2013 at 2:58 PM, cowwoc <[email-masked]> wrote:

>    - The Working Group has been pushing for the use of SDP since 2011
>    - The first post related to the use of SDP in WebRTC came from
>    - One of the Chairs of the Working Group and one of the Specification
>    - There has been a substantial push against the use of SDP by some
>    - Suddenly we find out that Ericsson has filed two patents related to
>    the use of SDP in WebRTC and these were filed *after* Ericsson actively
>    pushed for the use of SDP.
>
> finding this a bitter pill to swallow. I have no problem with other people
> using SDP (all the power to them) but, with this IPR discovery, forcing
> their preference on me will have real-world consequences (no less than had
> we mandated the use H264 in WebRTC).
>
>    want/need to use SDP are not forced to license this IPR? For example, the
>    specification states that the initial offer/answer mechanism is out of
>    scope. Could we do the same for SDP?
>
> Thank you,
> Gili
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>
>

---

From: cowwoc <[email-masked]>
Date: Tue, 23 Jul 2013 18:14:47 -0400

Hi Ted,

     Thank you for the clarification.

     In the meantime, Adam (and others) can comment question #2.

Gili

On 23/07/2013 6:08 PM, Ted Hardie wrote:
> possible for Adam to clarify this at the moment; like the rest of us, 
> he will have to wait for the folks who filed the patent to clarify the 
> situation.   He is listed in the IPR declaration only because he 
> brought the patent to the attention of the IETF, not because he is an 
> inventor or assignee.
>
> The IETF patent process has already pointed out (in RFC 4879); please 
> check it for the next steps.
>
> thanks,
>
> Ted Hardie
>
> On Tue, Jul 23, 2013 at 2:58 PM, cowwoc <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>     Hi Adam,
>
>       * The Working Group has been pushing for the use of SDP since
>         2011 (see
>         http://www.ietf.org/mail-archive/web/rtcweb/current/mail15.html).
>       * One of the Chairs of the Working Group and one of the
>         Specification editors are from Ericsson.
>       * There has been a substantial push against the use of SDP by
>         some mailing list participants, but this was rejected by the
>         Working Group.
>       * Suddenly we find out that Ericsson has filed two patents
>         related to the use of SDP in WebRTC and these were filed
>         *after* Ericsson actively pushed for the use of SDP.
>
>         As a Web Developer who doesn't want/need SDP to begin with, I
>     am finding this a bitter pill to swallow. I have no problem with
>     other people using SDP (all the power to them) but, with this IPR
>     discovery, forcing their preference on me will have real-world
>     consequences (no less than had we mandated the use H264 in WebRTC).
>
>      1. Do the patents imply that Web Developers will have to pay
>         patents when deploying application on top of the Browser or
>         Native APIs?
>         example, the specification states that the initial
>         offer/answer mechanism is out of scope. Could we do the same
>         for SDP?
>
>     Thank you,
>     Gili
>
>     [email-masked] <mailto:[email-masked]>

---

From: Adam Roach <[email-masked]>
Date: Tue, 23 Jul 2013 17:21:25 -0500

The chairs have asked us not to cross-post. As this pertains to an IETF 
IPR declaration, I'll speak to it here.

I'll note that your response is a vast overreaction at this juncture, as 
(1) these are merely applications, not granted patents; and (2) Ericsson 
has not yet indicated their intentions regarding the licensing terms of 
any patents that may result.

In terms of your two questions: I'm not a laywer, so I'm not able to 
speak to the applicability of the patents in any authoritative fashion. 
All that I can really say is that I have a reasonable belief that the 
claims of these applications, if granted, would apply to the draft in 
question.

I will make one factual observation, without any interpretation, from 
which you can draw your own conclusions: the independent claims of the 
patent applications in question do not mention SDP.

/a

On 7/23/13 16:58, cowwoc wrote:
>   * Suddenly we find out that Ericsson has filed two patents related
>     to the use of SDP in WebRTC and these were filed *after* Ericsson

---

From: Roman Shpount <[email-masked]>
Date: Tue, 23 Jul 2013 18:56:42 -0400

I did not want to blow this out of proportion. All I wanted to point out
that that licensing terms are missing and until the licensing terms are
clear this does present a certain risk. I do agree that given current
active participation of Ericsson in this list, this risk is likely low. One
other thing that I wanted to mention was that some aspects of the unified
draft can be adjusted to limit the exposure to the declared IPR.

Regards,
_____________
Roman Shpount

On Tue, Jul 23, 2013 at 6:21 PM, Adam Roach <[email-masked]> wrote:

> has not yet indicated their intentions regarding the licensing terms of any
> patents that may result.
>
> In terms of your two questions: I'm not a laywer, so I'm not able to speak
> to the applicability of the patents in any authoritative fashion. All that
> I can really say is that I have a reasonable belief that the claims of
> these applications, if granted, would apply to the draft in question.
>
> rtcweb mailing [email-masked]://www.ietf.org/mailman/listinfo/rtcweb
>
>
>

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 23 Jul 2013 16:07:55 -0700

> draft can be adjusted to limit the exposure to the declared IPR.

Roman,

That seems like something that would be useful if you could lay out in more
detail.

Best,
-Ekr

Regards,
>> speak to the applicability of the patents in any authoritative fashion. All
>> that I can really say is that I have a reasonable belief that the claims of

---

From: cowwoc <[email-masked]>
Date: Tue, 23 Jul 2013 19:19:27 -0400

Hi Adam,

On 23/07/2013 6:21 PM, Adam Roach wrote:
> The chairs have asked us not to cross-post. As this pertains to an 
> IETF IPR declaration, I'll speak to it here.

     I cross-posted because I think we need to have a separate 
discussion regarding how to mitigate IPR risk in the API. It's good that 
you removed [email-masked] from the reply (I should have 
explained as much in my original post).

> I'll note that your response is a vast overreaction at this juncture, 
> as (1) these are merely applications, not granted patents; and (2) 
> Ericsson has not yet indicated their intentions regarding the 
> licensing terms of any patents that may result.

     I am not a lawyer either so I apologize if this seems like an 
overreaction. Based on my limited knowledge of software patents, I view 
this as a matter of concern. Furthermore, based on my limited 
understanding of http://www.ietf.org/rfc/rfc3979.txt I believe that IETF 
members are required to make IPR disclosures "as soon as reasonably 
possible after the Contribution is published". My understanding is that 
Ericsson was responsible to disclose this over 4 months ago (but did 
not). Again, I apologize if I am misunderstanding the document.

     Anyway, I'll wait to see what the community has to say. Hopefully 
we can come up with a reasonable solution.

Thanks,
Gili

>>     (see
>> people using SDP (all the power to them) but, with this IPR

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 24 Jul 2013 00:59:23 +0000

In regard to your questions, I suggest you go read RFC 3979 (BCP 79) and its updates (as referred to by Adam) and then continue the discussion.

In regard to 1, noone in the IETF can tell you anything about the licensing conditions beyond what is stated in the IPR declaration. RFC 4879 says how you go about getting more clarity in the declaration if it is required. (But note the requirements of the declaration are limited).

In regard to 2, the IETF WG is expected to make its decisions based on knowledge of declared IPR, and the declared licensing policy.

W3C has (very) different IPR rules and you need to have that different discussion there for any requirements specified by W3C.

Regards

Keith

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of cowwoc
Sent: 23 July 2013 22:58
To: [email-masked]
Cc: [email-masked]
Subject: Re: [rtcweb] Unified plan IPR

The situation would be a bit clearer if patent holders were to provide the licensing policy regarding this IPR release. Given that Ericsson is actively involved in this working group, I think it would be reasonable to ask them for this.

If process has been properly followed, the IPR holder has already been notified by the IETF executive director. See http://www.ietf.org/rfc/rfc4879.txt (section 1 paragraph 1)

I doubt agitating for action on these mailing lists is likely to produce useful results.

/a

Hi Adam,

  *   The Working Group has been pushing for the use of SDP since 2011 (see http://www.ietf.org/mail-archive/web/rtcweb/current/mail15.html).
  *   The first post related to the use of SDP in WebRTC came from Christer Holmberg of Ericsson on September 14th, 2011.
  *   One of the Chairs of the Working Group and one of the Specification editors are from Ericsson.
  *   There has been a substantial push against the use of SDP by some mailing list participants, but this was rejected by the Working Group.
  *   Suddenly we find out that Ericsson has filed two patents related to the use of SDP in WebRTC and these were filed *after* Ericsson actively pushed for the use of SDP.

    Isn't there a conflict of interest here?
    As a Web Developer who doesn't want/need SDP to begin with, I am finding this a bitter pill to swallow. I have no problem with other people using SDP (all the power to them) but, with this IPR discovery, forcing their preference on me will have real-world consequences (no less than had we mandated the use H264 in WebRTC).

  1.  Do the patents imply that Web Developers will have to pay patents when deploying application on top of the Browser or Native APIs?
  2.  Is there a way to retrofit the API so those of us who do not want/need to use SDP are not forced to license this IPR? For example, the specification states that the initial offer/answer mechanism is out of scope. Could we do the same for SDP?
Thank you,
Gili

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Wed, 24 Jul 2013 03:28:04 +0000

On Jul 23, 2013, at 4:14 PM, cowwoc <[email-masked]> wrote:

>> 	• Is there a way to retrofit the API so those of us who do not want/need to use SDP are not forced to license this IPR? For example, the specification states that the initial offer/answer mechanism is out of scope. Could we do the same for SDP?

I think that you should have a read of the patent before deciding what the best mitigation is. The IETF generally does prefer to  avoid IPR where it can and some people have been working towards that. 

I'd also like to note that I far as I can tell right now, Ericsson did make all the required disclosures promptly. They did disclose all this long ago when they published their relevant draft.

---

From: Stefan Håkansson LK <[email-masked]>
Date: Wed, 24 Jul 2013 09:22:09 +0000

FYI,

I've asked internally in my company for advice on what needs to be done 
(if anything) from our side. IPRs and handling of them is outside my 
competence.

Stefan

On 7/23/13 6:22 PM, Roman Shpount wrote:
> the licensing policy regarding this IPR release. Given that Ericsson is
> actively involved in this working group, I think it would be reasonable
> to ask them for this.
>
> Regards,
> _____________
> Roman Shpount
>
>
> On Tue, Jul 23, 2013 at 11:51 AM, Adam Roach <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>>     On 23 Jul 2013, at 14:00, Stefan Håkansson LK<[email-masked]>  <mailto:[email-masked]>  wrote:
>>
>>>     Presumablyhttp://www.ietf.org/id/draft-roach-mmusic-unified-plan-00.txt
>     For those of you unfamiliar with IETF IPR policy, it is documented
>     in RFC 3979:
>
>     The disclosure Tim points to is made pursuant to section 6.1.3 of
>     that document. During the course of developing the unified plan, the
>     applications that are mentioned in that disclosure were brought to
>     my attention.
>
>     The reason it has little effect in practice is that the independent
>     claims would appear to cover every plan proposal to date (plan a,
>     plan b, unified plan, and even all of the "no plan" variations).
>     Consequently, it does not benefit any one approach over the others.
>
>     /a
>
>